## com.lowagie.text.pdf
Class CFFFont.IndexOffsetItem

    java.lang.Object
      com.lowagie.text.pdf.CFFFont.Item
          com.lowagie.text.pdf.CFFFont.OffsetItem
              com.lowagie.text.pdf.CFFFont.IndexOffsetItem

Enclosing class:
  CFFFont

    protected static final class CFFFont.IndexOffsetItem

extends CFFFont.OffsetItem

An index-offset item for the list. The size denotes the required size in the CFF. A positive value means that we need a specific size in bytes (for offset arrays) and a negative value means that this is a dict item that uses a variable-size representation.

Field Summary
`int` `size`

Fields inherited from class com.lowagie.text.pdf.CFFFont.OffsetItem
`value`

Fields inherited from class com.lowagie.text.pdf.CFFFont.Item
`myOffset`

Constructor Summary
`CFFFont.IndexOffsetItem(int size)`
`CFFFont.IndexOffsetItem(int size, int value)`

Method Summary
`void` `emit(byte[] buffer)` Emit the byte stream for this item.
`void` `increment(int[] currentOffset)` remember the current offset and increment by item's size in bytes.

Methods inherited from class com.lowagie.text.pdf.CFFFont.OffsetItem
`set`

Methods inherited from class com.lowagie.text.pdf.CFFFont.Item
`xref`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### size

    public final int size

Constructor Detail

### CFFFont.IndexOffsetItem

    public CFFFont.IndexOffsetItem(int size,
                                   int value)

### CFFFont.IndexOffsetItem

    public CFFFont.IndexOffsetItem(int size)

Method Detail

### increment

    public void increment(int[] currentOffset)

  Description copied from class: `CFFFont.Item`
  remember the current offset and increment by item's size in bytes.

  Overrides:
    `increment` in class `CFFFont.Item`

### emit

    public void emit(byte[] buffer)

  Description copied from class: `CFFFont.Item`
  Emit the byte stream for this item.

  Overrides:
    `emit` in class `CFFFont.Item`

Hosted by Hostbasket